{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"v0"},"servers":[{"url":"https://porr-services-gateway.wittycliff-6adc5fa8.westeurope.azurecontainerapps.io","description":"Generated server url"}],"paths":{"/api/person":{"get":{"tags":["person-controller"],"operationId":"get","parameters":[{"name":"page[number]","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"page[size]","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":10}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/CollectionModelEmployeeData"}}}}}}},"/api/person/{pkId}":{"get":{"tags":["person-controller"],"operationId":"get_1","parameters":[{"name":"pkId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/EmployeeData"}}}}}}},"/api/person/hr/{pkId}":{"get":{"tags":["person-controller"],"operationId":"getHr","parameters":[{"name":"pkId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/HRData"}}}}}}}},"components":{"schemas":{"CollectionModelEmployeeData":{"type":"object","properties":{"_embedded":{"type":"object","properties":{"employeeDataList":{"type":"array","items":{"$ref":"#/components/schemas/EmployeeData"}}}},"_links":{"$ref":"#/components/schemas/Links"}}},"EmployeeData":{"type":"object","properties":{"identification":{"type":"string"},"firstname":{"type":"string"},"lastname":{"type":"string"},"email":{"type":"string"},"phoneNumber":{"type":"string"},"phoneNumberMobile":{"type":"string"},"costCenter":{"type":"string"},"department":{"type":"string"},"active":{"type":"boolean"},"_links":{"$ref":"#/components/schemas/Links"}}},"HRAddress":{"type":"object","properties":{"country":{"type":"string"},"postcode":{"type":"string"},"city":{"type":"string"},"street":{"type":"string"}}},"HRData":{"type":"object","properties":{"pkId":{"type":"string"},"employeeClass":{"type":"string"},"locationName":{"type":"string"},"company":{"$ref":"#/components/schemas/HRUnit"},"businessUnit":{"$ref":"#/components/schemas/HRUnit"},"area":{"$ref":"#/components/schemas/HRUnit"},"department":{"$ref":"#/components/schemas/HRUnit"},"group":{"$ref":"#/components/schemas/HRUnit"},"team":{"$ref":"#/components/schemas/HRUnit"},"subteam":{"$ref":"#/components/schemas/HRUnit"},"manager":{"type":"string"},"managerPkId":{"type":"string"},"costCenterCode":{"type":"string"},"title":{"type":"string"},"firstname":{"type":"string"},"lastname":{"type":"string"},"secondTitle":{"type":"string"},"logaCompany":{"type":"string"},"logaPnr":{"type":"string"},"sapPnr":{"type":"string"},"nationalId":{"type":"string"},"dateOfBirth":{"type":"string","format":"date"},"nationality":{"type":"string"},"hireDate":{"type":"string","format":"date"},"terminationDate":{"type":"string","format":"date"},"countryCode":{"type":"string"},"address":{"$ref":"#/components/schemas/HRAddress"},"functionCodeName":{"type":"string"},"managementLevel":{"type":"string"},"_links":{"$ref":"#/components/schemas/Links"}}},"HRUnit":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"}}},"Link":{"type":"object","properties":{"href":{"type":"string"},"hreflang":{"type":"string"},"title":{"type":"string"},"type":{"type":"string"},"deprecation":{"type":"string"},"profile":{"type":"string"},"name":{"type":"string"},"templated":{"type":"boolean"}}},"Links":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/Link"}}}}}